#!/usr/bin/env python

import random as rnd

rnd.seed(10)

def write_test(n, test_str):
    filename = "{:0>2}".format(n)
    filename += ".in"
    f = open(filename, "w")
    f.write(test_str)

class TestGen:
    def __init__(self, first_testno):
        self.testno = first_testno
    def next_test(self, teststr):
        write_test(self.testno, teststr)
        self.testno += 1

def fmt(t, p):
    return t + "\n" + p

alpha = 'abcdefghijklmnopqrstuvwxyz'

def random_test(nt, np):
    t = rnd.choices(alpha, k=nt)
    p = rnd.choices(alpha, k=np)

    return fmt(''.join(t), ''.join(p))

gen = TestGen(19)
gen.next_test(random_test(10, 3))
gen.next_test(random_test(10, 3))
gen.next_test(random_test(10, 3))
gen.next_test(random_test(3, 10))
gen.next_test(random_test(3, 10))
gen.next_test(random_test(3, 10)) #24

gen.next_test(random_test(10, 10))
gen.next_test(random_test(10, 10))
gen.next_test(random_test(10, 10))
gen.next_test(random_test(10, 10))
gen.next_test(random_test(10, 10))
gen.next_test(random_test(10, 10)) #30

gen.next_test(random_test(1000, 10))
gen.next_test(random_test(1000, 10))
gen.next_test(random_test(1000, 11))
gen.next_test(random_test(12, 1000))
gen.next_test(random_test(13, 1000))
gen.next_test(random_test(721, 818)) #36

gen.next_test(random_test(10000, 1000))
gen.next_test(random_test(10000, 1000))
gen.next_test(random_test(1000, 10000))
gen.next_test(random_test(10000, 10000))
gen.next_test(random_test(10000, 10000))
gen.next_test(random_test(10000, 10000)) #42

gen.next_test(random_test(81892, 67111))
gen.next_test(random_test(81821, 99912))
gen.next_test(random_test(99817, 99817))
gen.next_test(random_test(18283, 18283))
gen.next_test(random_test(34291, 100000)) #47

gen.next_test(random_test(100000, 100000))
gen.next_test(random_test(100000, 100000))
gen.next_test(random_test(100000, 100000))
gen.next_test(random_test(100000, 100000))
gen.next_test(random_test(100000, 100000)) #52
