#include <bits/stdc++.h>

#define db(x) cerr << #x << " = " << x << endl
#define db3(x, y, z) cerr << "(" << #x << ", " << #y << ", " << #z << ") = (" << x << ", " << y << ", " << z << ")" << endl
#define db2(x, y) cerr << "(" << #x << ", " << #y << ") = (" << x << ", " << y << ")" << endl
#define dbv(a) cerr << #a << " = "; for (auto xxx: a) cerr << xxx  << " "; cerr << endl


using namespace std;
typedef long long ll;
typedef double dbl;



int main() {
#ifdef HOME
    assert(freopen("in", "r", stdin));
#else
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif

    string a, b;
    while (cin >> a >> b) {
        int n = a.length();
        int m = b.length();

        const int SIGMA = 26;
        vector<vector<int>> cnt(m + 1, vector<int>(SIGMA));
        for (int i = m - 1; i >= 0; i--) {
            cnt[i] = cnt[i + 1];
            cnt[i][b[i] - 'a']++;
        }

        int j = 0;
        for (int i = 0; i < n; i++) {
            for (int c = 0; c < a[i] - 'a'; c++) {
                if (cnt[j][c] > 0) {
                    while (b[j] - 'a' != c) j++;
                    j++;
                    a[i] = 'a' + c;
                    break;
                }
            }
        }
        cout << a << endl;
    }

#ifdef HOME
    cerr << "time: " << clock() * 1.0 / CLOCKS_PER_SEC << endl;
#endif
}