#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

#define LOG(arr) cerr << #arr << ": "; for (auto e : arr) {cerr << e << " ";} cerr << endl;

int main() {
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);

    string s;
    string t;
    while (getline(cin, s)) {
        getline(cin, t);

        int n = t.size();
        vector<int> argmin(n);

        argmin[n - 1] = n - 1;

        for (int i = n - 2; i >= 0; i--) {
            argmin[i] = argmin[i + 1];

            if (t[i] <= t[argmin[i + 1]]) {
                argmin[i] = i;
            }
        }

        // LOG(argmin);

        int tl = 0;
        for (int i = 0; i < s.size(); i++) {
            if (tl == t.size()) {
                break;
            }

            int minidx = argmin[tl];

            if (s[i] > t[minidx]) {
                s[i] = t[minidx];
                tl = minidx + 1;
            }
        }

        cout << s << endl;
    }
}